Bug 173895 - Kernel panic on install on 64BG EM64T
Summary: Kernel panic on install on 64BG EM64T
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel
Version: 4.0
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Geoff Gustafson
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 181409 185624 198694
TreeView+ depends on / blocked
 
Reported: 2005-11-22 10:31 UTC by Bastien Nocera
Modified: 2007-11-30 22:07 UTC (History)
6 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2006-08-10 21:36:17 UTC


Attachments (Terms of Use)
swiotlb_init_07.patch (1.83 KB, patch)
2005-11-22 10:32 UTC, Bastien Nocera
no flags Details | Diff
x86_64_bootmem_alloc_fix.patch (350 bytes, patch)
2006-04-18 10:11 UTC, Bastien Nocera
no flags Details | Diff
x86_64_bootmem_alloc_fix.patch (350 bytes, patch)
2006-04-18 10:27 UTC, Bastien Nocera
no flags Details | Diff
x86_64_bootmem_alloc_fix.patch (350 bytes, patch)
2006-04-18 10:55 UTC, Bastien Nocera
no flags Details | Diff
x86_64_move_memmap_alloc_end.patch (1.54 KB, patch)
2006-04-18 12:26 UTC, Bastien Nocera
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2006:0575 normal SHIPPED_LIVE Important: Updated kernel packages available for Red Hat Enterprise Linux 4 Update 4 2006-08-10 04:00:00 UTC

Description Bastien Nocera 2005-11-22 10:31:57 UTC
Using RHEL4 U2's installer, a 64GB EM64T machine would panic on bootup with:
  Kernel panic - not syncing: map_single: bounce buffer is not DMA'ble 

"
The problem is because of mem_map using up most of the low memory (because of
64GB physical memory) and kernel is not  able to allocate swiotlb buffer in low
memory. We have verified that things work fine by moving the swiotlb init earlier.
"

Patch from venkatesh.pallipadi@intel.com attached.

Comment 1 Bastien Nocera 2005-11-22 10:32:03 UTC
Created attachment 121337 [details]
swiotlb_init_07.patch

Comment 3 Larry Woodman 2005-11-24 16:45:28 UTC
This patch will work but another/better solution is to move the mem_map above
the 4GB boundary.  There is no reason that it needs to be at such a low address.
I'll work with Intel on creating a patch that does this.

Larry Woodman

Comment 8 Bob Johnson 2006-04-11 15:53:11 UTC
This issue is on Red Hat Engineering's list of planned work items 
for the upcoming Red Hat Enterprise Linux 4.4 release.  Engineering 
resources have been assigned and barring unforeseen circumstances, Red 
Hat intends to include this item in the 4.4 release.

Comment 9 Bastien Nocera 2006-04-18 10:11:44 UTC
Created attachment 127908 [details]
x86_64_bootmem_alloc_fix.patch

Comment 10 Bastien Nocera 2006-04-18 10:27:39 UTC
Created attachment 127909 [details]
x86_64_bootmem_alloc_fix.patch

Comment 11 Bastien Nocera 2006-04-18 10:55:55 UTC
Created attachment 127910 [details]
x86_64_bootmem_alloc_fix.patch

Comment 12 Bastien Nocera 2006-04-18 12:26:41 UTC
Created attachment 127914 [details]
x86_64_move_memmap_alloc_end.patch

Comment 13 Bastien Nocera 2006-04-18 12:27:50 UTC
Updated patches attached.

Comment 14 Jason Baron 2006-04-27 15:07:25 UTC
committed in stream U4 build 34.25. A test kernel with this patch is available
from http://people.redhat.com/~jbaron/rhel4/


Comment 20 Red Hat Bugzilla 2006-08-10 21:36:26 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0575.html



Note You need to log in before you can comment on or make changes to this bug.